petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscPartitionerCreate

Creates an empty PetscPartitioner object. The type can then be set with PetscPartitionerSetType().

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerCreate(MPI_Comm comm, PetscPartitioner *part)

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the PetscPartitioner object

### Output Parameter

part -The PetscPartitioner object

### See Also

PetscPartitionerSetType(), PETSCPARTITIONERCHACO, PETSCPARTITIONERPARMETIS, PETSCPARTITIONERSHELL, PETSCPARTITIONERSIMPLE, PETSCPARTITIONERGATHER

Level:beginner
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages